const require_utils = require("../../dataSourceForm/utils.js");
const require_index = require("../Input.Json/index.js");
const require_index$1 = require("../Input.Password/index.js");
const require_index$2 = require("../Input.TextArea/index.js");
const require_index$3 = require("../Input.Url/index.js");
const require_index$4 = require("../Input.Email/index.js");
const require_index$5 = require("../Input.Phone/index.js");
const require_index$6 = require("../Input.Mobile/index.js");
const require_index$7 = require("../Input.Subdomain/index.js");
const require_WithMode = require("./WithMode.js");
//#region src/components/dataSourceComponents/fields/Input/index.tsx
const Input = require_utils.withFormItem(require_WithMode.default);
Input.JSON = require_index.default;
Input.Password = require_index$1.default;
Input.TextArea = require_index$2.default;
Input.URL = require_index$3.default;
Input.Email = require_index$4.default;
Input.Phone = require_index$5.default;
Input.Mobile = require_index$6.default;
Input.Subdomain = require_index$7.default;
//#endregion
exports.default = Input;
